Bug 11826 - hildon-application-manager random crashes
: hildon-application-manager random crashes
Status: NEW
Product: Maemo 5 Community SSU
mp-fremantle-community-pr
: unspecified
: N900 Maemo
: Unspecified critical with 5 votes (vote)
: ---
Assigned To: unassigned
: general
:
: moreinfo
:
:
  Show dependency tree
 
Reported: 2011-01-30 00:58 UTC by David Owens
Modified: 2012-02-12 10:51 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description David Owens (reporter) 2011-01-30 00:58:09 UTC
SOFTWARE VERSION:
20.2010.36-2 (PR1.3) running on stock kernel.
hildon-application-manager version 1:2.2.72-2

Cannot easily replicate the issue, it just crashes when it wants to. It can
crash when you start running the program, it can crash when you go into updates
and after it has done retrieving new file lists from the repository and is
sorting the data out. It can crash after you enable extras-devel and after it
has finished refreshing.

EXPECTED OUTCOME: hildon-application-manager to not crash, allows user to
continue doing what the user needs to do.

ACTUAL OUTCOME: hildon-application-manager crashes declaring as internal error

REPRODUCIBILITY: 8 out of 10 times. The more you use it can increase the
reproducibility.

EXTRA SOFTWARE INSTALLED: Plenty, please refer to the attached crash logs.

OTHER COMMENTS: I have lots of repositories inside the
hildon-applcation-manager. I do not know if they are the cause for the crash
however this does not happen with fapman (faster application manager).
Previously I have enabled red pill mode and have checked as well as unchecked a
few boxes here and there under the settings. Now I have disable red pill mode
but hildon-appliation-manager still crashes. 

P.S.: I cannot add an attachment when I don't have the component selected. I
have elected mp-fremantle-community-pr instead. Also I have disussed this with
Jaffa due to the nature of this bug exists in a component not listed however I
was ok'ed for not specifying any. Seems like I must specify one to attach
soemthing relevant.
Comment 1 Darren Long 2011-02-15 21:34:47 UTC
I'm also experiencing this issue, more often than 50% of the time when I use
HAM.  Same HAM version as per original OP. Stock kernel. All updates applied as
of date of posting, with fresh install of Community SSU last night. I can't
determine actual software version due to "About Product" reporting:

(null)
(null)
Version: (null)
WLAN MAC Address: <all sane from here on>

Not sure if this is related or should be raised as a separate bug.
Comment 2 Vinícius Zucareli 2011-03-15 17:25:11 UTC
I'm using stock kernel with 3 days from full Reflash + EMMC flash, and I'm
experiencing this issue. 

When it crashes it takes all widgets with it. And it seems (in my case) related
to opening/refreshing email inbox. 

Widgets are: Facebook, TV OUT, Media player, conversations, Dr. Launch,
Recaller, E-mail, Friendly FM and CUrrency converter. 

Please let me know if there are more information needed, because this is my
first bug report.
Comment 3 Andre Klapper maemo.org 2011-03-15 19:18:49 UTC
(In reply to comment #2)
> Please let me know if there are more information needed

The question is whether this happens after full reflash without having any
third party apps installed, I think...
Comment 4 Danilo Luvizotto 2011-03-24 01:06:01 UTC
For me the application manager crashes every time I open it and immediately
open the repos config dialog
Comment 5 Danilo Luvizotto 2011-03-29 01:44:31 UTC
*** This bug has been confirmed by popular vote. ***
Comment 6 Andre Klapper maemo.org 2011-11-28 13:31:09 UTC
Is this still an issue in a recent version, or can this report be closed as
obsolete?
Comment 7 David Owens (reporter) 2012-02-12 10:51:18 UTC
(In reply to comment #6)
> Is this still an issue in a recent version, or can this report be closed as
> obsolete?

I have no way of being able to replicate the issue as currently I am using N9.
The last thing I did on my N900 was installing power kernel along with CSSU
updates. During those times I have hardly touched HAM.